Debian Bug report logs - #725089
ITP: python-os-apply-config -- Creates config files out of cloud metadata

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Thomas Goirand <zigo@debian.org>

Date: Tue, 1 Oct 2013 10:48:01 UTC

Owned by: Thomas Goirand <zigo@debian.org>

Severity: wishlist

Fixed in version python-os-apply-config/0.1.13-1

Done: Thomas Goirand <zigo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#725089; Package wnpp. (Tue, 01 Oct 2013 10:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 01 Oct 2013 10:48:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: python-os-apply-config -- Creates config files out of cloud metadata
Date: Tue, 01 Oct 2013 18:44:16 +0800
Package: wnpp
Severity: wishlist
Owner: Thomas Goirand <zigo@debian.org>

* Package name    : python-os-apply-config
  Version         : 0.1.1
  Upstream Author : OpenStack Foundation <openstack-dev@lists.openstack.org>
* URL             : https://github.com/openstack/os-apply-config
* License         : Apache-2.0
  Programming Lang: Python
  Description     : Creates config files out of cloud metadata

 os-apply-config apply configuration out of the cloud metadata (JSON) that it
 recieves from a metadata server.
 .
 It turns metadata from one or more JSON files like this:
 .
  {"keystone":
   {"database":
    {"host": "127.0.0.1", "user": "keystone", "password": "foobar"}
   }
  }
 .
 into service config files like this:
 .
  [sql]
  connection = mysql://keystone:foobar@127.0.0.1/keystone



Reply sent to Thomas Goirand <zigo@debian.org>:
You have taken responsibility. (Thu, 20 Mar 2014 13:03:09 GMT) Full text and rfc822 format available.

Notification sent to Thomas Goirand <zigo@debian.org>:
Bug acknowledged by developer. (Thu, 20 Mar 2014 13:03:09 GMT) Full text and rfc822 format available.

Message #10 received at 725089-close@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: 725089-close@bugs.debian.org
Subject: Bug#725089: fixed in python-os-apply-config 0.1.13-1
Date: Thu, 20 Mar 2014 13:00:11 +0000
Source: python-os-apply-config
Source-Version: 0.1.13-1

We believe that the bug you reported is fixed in the latest version of
python-os-apply-config, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 725089@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Goirand <zigo@debian.org> (supplier of updated python-os-apply-config package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 23 Sep 2013 01:54:36 +0800
Source: python-os-apply-config
Binary: python-os-apply-config
Architecture: source all
Version: 0.1.13-1
Distribution: unstable
Urgency: low
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Changed-By: Thomas Goirand <zigo@debian.org>
Description: 
 python-os-apply-config - Creates config files out of cloud metadata
Closes: 725089
Changes: 
 python-os-apply-config (0.1.13-1) unstable; urgency=low
 .
   * Initial release. (Closes: #725089)
Checksums-Sha1: 
 7fa86806fe4e1c45560590de971a9631b2724166 2446 python-os-apply-config_0.1.13-1.dsc
 ac15006787abf18f7bff4c33c7f8744ce9c0058e 14468 python-os-apply-config_0.1.13.orig.tar.xz
 523c753d81cf3db6551e77214c9e93f25a0aecad 2288 python-os-apply-config_0.1.13-1.debian.tar.xz
 9665bcfe9d085f30197574153228d1bedae95895 13406 python-os-apply-config_0.1.13-1_all.deb
Checksums-Sha256: 
 56106089501fa3e6cd35ad2562e9d6adb4c32661bd5882be6a17793b17e12003 2446 python-os-apply-config_0.1.13-1.dsc
 23f16b1b67dbd786cce93743dab4ceb1cf4d1e1b350114ae8e5d29ad51e11000 14468 python-os-apply-config_0.1.13.orig.tar.xz
 431b039b4276351cdf971028777d73765f50b30fb1cebf6dd85e9aaecb6a7432 2288 python-os-apply-config_0.1.13-1.debian.tar.xz
 34851b66fc3362e43868ec8dff5fe110e582361f1a9ed5b4992a566fddc37da1 13406 python-os-apply-config_0.1.13-1_all.deb
Files: 
 d066db411050d65f1b749ebdb27f997f 2446 python optional python-os-apply-config_0.1.13-1.dsc
 b92ee957b54c5dba08f3f2cb37783c29 14468 python optional python-os-apply-config_0.1.13.orig.tar.xz
 b82a194e0e30dd2bc5db1918718f0764 2288 python optional python-os-apply-config_0.1.13-1.debian.tar.xz
 53d6a5c9284a05ddf238eca594b7b5c2 13406 python optional python-os-apply-config_0.1.13-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCAAGBQJTJVuBAAoJENQWrRWsa0P+G/EP/25wyW5Py4zEq+AcrTvYvdrP
mqYm9Eh2dmKLDEJHBLFt9h6S5X6Pd3w+DgVquTsHkGiGTLhenksRL2XxOr/wef6b
fzNydllT7VldOQCvkutpRoWraFWcx+eLXvnMFrcBeWaJtH1Z2in/WMJzokDoCXD/
F8FyPI5JaW42GsOBqjF17yGvCcoyGtxH7NdhRiu8UM/wyWhZv4z7U5AVa2f15LnF
Si378s2L5BjpVyV2eRMIlVyB/tWIXdDp4z7qoIgN8TRlvEU6HfiK/ZiKGz8S2Tik
isGdSuvO34/sLNddnMfs7j5f3OhqFhkpWDAcw8il2b29fSis6GgizaY6q6qmekri
3uPC1CfdN8LYJPelVfQWIhC+z06h+GQeV1nP4S2bE1PmRbbqiF1r/yXVVsUae5U4
e6GzNCvaHuUveNscPQGpmIXvGZcKP45jpYWEtHpJmWKDc3bpxRZB2lJaWy2QrVk2
HKRagPhOx6zKRH4JWNVCNQCY9gewYrc1TD4kGqamYHPQixjb7L8aH0lwj1LlQqjX
PgZ8++RxZ31xtwSyNu2kXOh+EAel1YiZSH/D3bMLsSztnOGxVcWQTtBC4rN6fmvO
XXeehxBEnP+YrN41RbPvMwi/H4QErauSTli6afemfN4Ng9cfr3Q2/IUj852IAj3K
J6hgxuy5rYgrKlWMJUuq
=nJhe
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 18 Apr 2014 07:32:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:43:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.